%define name gq
%define version 0.4.0
%define release 2mdk

Summary: GQ is a GTK-based LDAP client.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: System/Configuration/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Patch0: gq-0.3.0-init.patch

%description
Features include: 
-LDAP browser
-LDAP V3 Schema browser
-Template builder
-Export subtree or whole server to LDIF
-Use any number of servers
-Search based on single argument or LDAP filter
-Edit and delete entries
-Add entries using an exi-sting entry, or based on your own template

%prep
%setup
%patch0 -p1 -b .init

%build
%configure
%make
strip src/gq

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
cp $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/logo.xpm $RPM_BUILD_ROOT/%{_iconsdir}/gq.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): title=GQ command="%{_bindir}/%{name}" needs="X11" section="Networking/Other" icon=gq \
longtitle="GQ is a GTK-based LDAP client"
EOF



%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_menudir}/%{name}
%{_datadir}/pixmaps/*
%{_iconsdir}/*
%{_datadir}/gnome/*/*/*

%changelog
* Wed Aug 29 2001 Vincent Saugey <vince@mandrakesoft.com> 0.4.0-1mdk
- Correct menu entry

* Fri Aug 24 2001 Vincent Saugey <vince@mandrakesoft.com> 0.4.0-1mdk
- Up to 4.0
- Merging rh patch

* Mon Oct 16 2000 Vincent Saugey <vince@mandrakesoft.com> 0.3.0-1mdk
- Fisrt mdk release
